Subject: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Paul Eggert <[email-masked]>
Date: Mon, 06 Jan 2014 17:15:03 -0800

Eli Zaretskii wrote:
> Is it a frequent situation that someone who does the configure and
> "make" steps doesn't have makeinfo?  I thought this to be rare.

It's reasonably common.  In Debian, for example, texinfo is not
one of the essential packages.  On many non-GNU environments such
as AIX and HP-UX, 'makeinfo' is not available unless you build and
install it yourself.  And for the GNU project, 'makeinfo' isn't
listed as one of the standard utilities that Makefiles can assume:

http://www.gnu.org/prep/standards/standards.html#Utilities-in-Makefiles

> If I'm wrong, then I guess those users who do want to generate the Info
> files with a non-default style of punctuation will have to install
> Texinfo or live with this minor problem.

If the the installer could obtain some compensating advantage by
being forced to install 'makeinfo' to get the style they prefer,
it might be worth the hassle.  But there doesn't seem to be any
such advantage.  So why not use 'sed'?  It avoids the hassle entirely.